# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name numbers

%global common_summary Instances of numerical classes for numbers

%global common_description The %{pkg_name} package provides instances of \
the numerical classes for a variety of different numbers: (computable) real \
numbers, arbitrary precision fixed numbers, arbitrary precision floating \
point numbers, differentiable numbers, symbolic numbers, natural numbers, \
interval arithmetic. 

Name:           ghc-%{pkg_name}
Version:        3000.0.0.0
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Tue Jul 31 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3000.0.0.0-2
- Updates summary and description.

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3000.0.0.0-1
- Spec file template generated by cabal2spec-0.25.5.
